API DocumentationComputers
List LB backends using this VM
List load balancer backends that include this VM as a server.
Authorization
bearer_auth AuthorizationBearer <token>
OAuth Authentication
OpenScaler API uses OAuth, a standard for secure authorization. To access the API, obtain a token via the OpenScaler Platform.
Use the access_token in the Authorization header for requests:
Authorization: Bearer <token>Always keep your token secure and do not share it with anyone.
In: header
Path Parameters
vm_id*string
A unique identifier for a VM instance.
Format
uuidResponse Body
application/json
application/json
text/pain
application/json
application/json
curl -X GET "https://example.com/v1/vms/cc3ccab2-0ae2-11ef-9136-6a0922f6458b/connected-lb-backends"{ "backends": [ { "backend_name": "web-backend", "lb_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890" } ]}{ "errors": [ { "message": "'vcpus' field must be an integer", "field": "resource_id" } ]}"Access denied"{ "errors": [ { "message": "User not initialized (missing required fields in token), please init user by sending POST request to `/v1/init` then refresh your token\n" } ]}{ "errors": [ { "message": "VM with ID 23 not found" } ]}